org.apache.flume.channel

## Enum BasicTransactionSemantics.State

- java.lang.Object
- - java.lang.Enum<BasicTransactionSemantics.State>
  - - org.apache.flume.channel.BasicTransactionSemantics.State

- All Implemented Interfaces:
    Serializable, Comparable<BasicTransactionSemantics.State>
  Enclosing class:
    BasicTransactionSemantics

      protected static enum BasicTransactionSemantics.State
      extends Enum<BasicTransactionSemantics.State>

  The state of the `Transaction` to which it belongs.

  NEW
    A newly created transaction that has not yet begun.
  OPEN
    A transaction that is open. It is permissible to commit or rollback.
  COMPLETED
    This transaction has been committed or rolled back. It is illegal to perform any further operations beyond closing it.
  CLOSED
    A closed transaction. No further operations are permitted.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED`
    `COMPLETED`
    `NEW`
    `OPEN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicTransactionSemantics.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BasicTransactionSemantics.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final BasicTransactionSemantics.State NEW

    - #### OPEN

          public static final BasicTransactionSemantics.State OPEN

    - #### COMPLETED

          public static final BasicTransactionSemantics.State COMPLETED

    - #### CLOSED

          public static final BasicTransactionSemantics.State CLOSED

  - ### Method Detail

    - #### values

          public static BasicTransactionSemantics.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BasicTransactionSemantics.State c : BasicTransactionSemantics.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BasicTransactionSemantics.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.